--
-- StollFZTool
--
-- @author Geri-G
-- @date  12/07/2011 v1.0 LS11
-- @web www.geri-g.de
--
-- Copyright (C) Geri-G, All Rights Reserved.

StollFZTool = {};
Vehicle.registerJointType("Stollf_FZ_frontloaderTool");
function StollFZTool.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function StollFZTool:load(xmlFile)
	--Utils.sharedI3DFiles[self.baseDirectory.."stollFzTools/Bfork.i3d"] = nil;

	self.isStollFZ80Tool = true;
end;

function StollFZTool:delete()
end;

function StollFZTool:mouseEvent(posX, posY, isDown, isUp, button)
end;

function StollFZTool:keyEvent(unicode, sym, modifier, isDown)
end;

function StollFZTool:update(dt)

end;

function StollFZTool:updateTick(dt)

end;


function StollFZTool:draw()
end;
